#include <mpi.h>
#include <stdio.h>

int
main (int argc, char **argv)
{

int mpi_rank, mpi_size;


/* Initialize MPI */
MPI_Init(&argc, &argv);                         /* fork the process... */
MPI_Comm_size(MPI_COMM_WORLD, &mpi_size);       /* how many task   ... */
MPI_Comm_rank(MPI_COMM_WORLD, &mpi_rank);       /* which task I am.... */

printf("I'm task %d of %d \n",mpi_rank,mpi_size);

if (mpi_rank==0) printf("I'm the master task!!!!\n");

MPI_Finalize();                                 /* close the task .... */

}

