#include <hdf5.h>
int main() {
char H5FILE_NAME[128];
hid_t file_id; 	/* file identifier */
hid_t group_id; /* group identifier */
herr_t status;

/* filename */
sprintf(H5FILE_NAME,"RUN/%s.h5","my_second_file");
 printf("creating h5 file: %s with group...",H5FILE_NAME);

/* Create a new file using default properties. */
file_id = H5Fcreate (H5FILE_NAME,H5F_ACC_TRUNC,H5P_DEFAULT,H5P_DEFAULT);

/* Create a group named "/MyGroup" in the file. */
group_id = H5Gcreate(file_id, "/MyGroup",H5P_DEFAULT,H5P_DEFAULT,H5P_DEFAULT);

/* Close the group. */
status = H5Gclose(group_id);

/* Terminate access to the file. */
status = H5Fclose (file_id);
printf("...done\n");
}
